/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
import { Brush } from "igniteui-react-core/ES5/Brush";
var FullStochasticOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(FullStochasticOscillatorIndicator, _super);
    function FullStochasticOscillatorIndicator() {
        var _this = _super.call(this) || this;
        _this.trendLineBrush = ((function () {
            var $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        _this.trendLineType = 10;
        _this.trendLinePeriod = 3;
        return _this;
    }
    FullStochasticOscillatorIndicator.prototype.get_p3 = function () {
        return new FullStochasticOscillatorIndicatorStrategy();
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "p3", {
        get: function () {
            return this.get_p3();
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.get_qg = function () {
        return FullStochasticOscillatorIndicator.$;
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "qg", {
        get: function () {
            return this.get_qg();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "qo", {
        get: function () {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.qt));
        },
        set: function (a) {
            this.h(FullStochasticOscillatorIndicator.qt, a);
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.p9 = function () {
        return this.qo;
    };
    FullStochasticOscillatorIndicator.prototype.qi = function (a) {
        this.qo = a;
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "smoothingPeriod", {
        get: function () {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.qu));
        },
        set: function (a) {
            this.h(FullStochasticOscillatorIndicator.qu, a);
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.qb = function () {
        return this.smoothingPeriod;
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "qq", {
        get: function () {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.qv));
        },
        set: function (a) {
            this.h(FullStochasticOscillatorIndicator.qv, a);
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.p8 = function () {
        return this.qq;
    };
    FullStochasticOscillatorIndicator.prototype.pj = function () {
        return this.qq;
    };
    FullStochasticOscillatorIndicator.$t = markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    FullStochasticOscillatorIndicator.qt = StrategyBasedIndicator.ql(14, FullStochasticOscillatorIndicator.$);
    FullStochasticOscillatorIndicator.qu = StrategyBasedIndicator.qm(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
    FullStochasticOscillatorIndicator.qv = StrategyBasedIndicator.qm(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
    return FullStochasticOscillatorIndicator;
}(StrategyBasedIndicator));
export { FullStochasticOscillatorIndicator };
